#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
import unicodedata

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 1)
__CHEETAH_genTime__ = 1449396215.887234
__CHEETAH_genTimestamp__ = 'Sun Dec  6 10:03:35 2015'
__CHEETAH_src__ = 'templates/saveconc.tmpl'
__CHEETAH_srcLastModified__ = 'Sun Dec  6 10:03:26 2015'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class saveconc(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(saveconc, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def print_xml_parline(self, line, corpname, **KWS):



        ## CHEETAH: generated from #def $print_xml_parline($line, $corpname) at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_21167586 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''      <parline corpus="''')
        _v = VFFSL(SL,"corpname.n",True) # u'$corpname.n' on line 6, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$corpname.n')) # from line 6, col 24.
        write(u'''">
        <ref>''')
        _v = VFFSL(SL,"line.ref",True) # u'$line.ref' on line 7, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$line.ref')) # from line 7, col 14.
        write(u'''</ref>''')
        write(u'''<left_context>''')
        for ll in VFFSL(SL,"line.Left",True): # generated from line 9, col 5
            if not (VFFSL(SL,"ll.class",True) == 'strc'):
                _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 11, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 11, col 1.
                write(u''' ''')
        write(u'''</left_context><kwic>''')
        for kw in VFFSL(SL,"line.Kwic",True): # generated from line 15, col 5
            _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 16, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 16, col 1.
            write(u''' ''')
        write(u'''</kwic><right_context>''')
        for rr in VFFSL(SL,"line.Right",True): # generated from line 19, col 5
            if not (VFFSL(SL,"rr.class",True) == 'strc'):
                _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 21, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 21, col 1.
                write(u''' ''')
        write(u'''</right_context>
      </parline>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_21167586
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def printString(self, wlist, widths=None, **KWS):



        ## CHEETAH: generated from #def printString($wlist, $widths=None) at line 96, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"widths",True): # generated from line 97, col 1
            ww = []
            for ii, w in VFFSL(SL,"enumerate",False)(VFFSL(SL,"wlist",True)): # generated from line 99, col 5
                addw = len([c for c in VFFSL(SL,"w",True) if unicodedata.category(c) == 'Mn'])
                wf = '{:\x3C' + unicode(VFFSL(SL,"widths",True)[VFFSL(SL,"ii",True)] + VFFSL(SL,"addw",True)) + u'}'
                VFN(VFFSL(SL,"ww",True),"append",False)(VFN(VFFSL(SL,"wf",True),"format",False)(VFFSL(SL,"w",True)))
            _v = " ".join(VFFSL(SL,"ww",True))
            if _v is not None: write(_filter(_v))
        else: # generated from line 105, col 1
            _v = "\t".join(VFFSL(SL,"wlist",True))
            if _v is not None: write(_filter(_v))
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def printLayers(self, tlist, **KWS):



        ## CHEETAH: generated from #def printLayers($tlist) at line 109, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        words = []
        attrs = []
        prevclass = None
        for w in VFFSL(SL,"tlist",True): # generated from line 113, col 5
            if not VFFSL(SL,"w.class",True) in ['strc', 'attr']: # generated from line 114, col 9
                if VFFSL(SL,"prevclass",True) == 'word': # generated from line 115, col 9
                    VFN(VFFSL(SL,"attrs",True),"append",False)(None)
                VFN(VFFSL(SL,"words",True),"append",False)(VFN(VFFSL(SL,"w.str",True),"strip",False)())
                prevclass = 'word'
            elif VFFSL(SL,"w.class",True) == 'attr': # generated from line 120, col 9
                if VFFSL(SL,"prevclass",True) == None: # generated from line 121, col 9
                    VFN(VFFSL(SL,"words",True),"append",False)('')
                VFN(VFFSL(SL,"attrs",True),"append",False)(VFN(VFN(VFFSL(SL,"w.str",True),"strip",False)(),"split",False)('/')[1:])
                self._CHEETAH__globalSetVars["numlayers"] = len(VFFSL(SL,"attrs",True)[-1])
                prevclass = 'attr'
        if VFFSL(SL,"prevclass",True) == 'word': # generated from line 129, col 5
            VFN(VFFSL(SL,"attrs",True),"append",False)(None)
        annots = []
        for a in VFFSL(SL,"attrs",True): # generated from line 133, col 5
            if VFFSL(SL,"a",True) == None: # generated from line 134, col 5
                VFN(VFFSL(SL,"annots",True),"append",False)(['']*VFFSL(SL,"numlayers",True))
            else: # generated from line 136, col 5
                VFN(VFFSL(SL,"annots",True),"append",False)(VFFSL(SL,"a",True))
        awidths = []
        if VFFSL(SL,"align_kwic",True): # generated from line 141, col 5
            for aa in VFFSL(SL,"annots",True): # generated from line 142, col 9
                VFN(VFFSL(SL,"awidths",True),"append",False)(max([len([c for c in i if not unicodedata.category(c) == 'Mn']) for i in VFFSL(SL,"aa",True)]))
        _v = VFFSL(SL,"printString",False)(VFFSL(SL,"words",True), VFFSL(SL,"awidths",True)) # u'$printString($words, $awidths)' on line 146, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$printString($words, $awidths)')) # from line 146, col 1.
        write(u'''\r
''')
        layers = zip(*VFFSL(SL,"annots",True))
        for layer in VFFSL(SL,"layers",True): # generated from line 148, col 5
            _v = VFFSL(SL,"printString",False)(VFFSL(SL,"layer",True), VFFSL(SL,"awidths",True)) # u'$printString($layer, $awidths)' on line 149, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$printString($layer, $awidths)')) # from line 149, col 1.
            write(u'''\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2015  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Vit Baisa
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 29, col 1
            write(u'''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 30, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 30, col 31.
            write(u'''"?>
''')
            _orig_filter_43986671 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<concordance>
''')
            if VFFSL(SL,"heading",True): # generated from line 33, col 1
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 35, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 35, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 36, col 3
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 37, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 37, col 16.
                    write(u'''</subcorpus>
''')
                write(u'''    <hits>''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 39, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 39, col 11.
                write(u'''</hits>
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 41, col 3
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 42, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 42, col 1.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 42, col 8
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 42, col 8.
                    write(u''' ''')
                write(u'''</query>
  </heading>
''')
            #  kwic lines
            write(u'''  <lines>
''')
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 49, col 1
                if VFFSL(SL,"align",True): # generated from line 50, col 3
                    if VFFSL(SL,"numbering",True): # generated from line 51, col 5
                        num = VFFSL(SL,"i",True)+1
                        write(u'''      <parallel_lines num="''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 53, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 53, col 28.
                        write(u'''">
''')
                    else: # generated from line 54, col 5
                        write(u'''      <parallel_lines>
''')
                    _orig_filter_88770794 = _filter
                    _filter = self._CHEETAH__initialFilter
                    _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"l",True), VFFSL(SL,"Par_conc_corpnames",True)[0]) # u'$print_xml_parline($l, $Par_conc_corpnames[0])' on line 58, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($l, $Par_conc_corpnames[0])')) # from line 58, col 1.
                    for ii, ll in enumerate(VFN(VFFSL(SL,"l",True),"get",False)('Align', [])): # generated from line 59, col 7
                        _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"ll",True), VFFSL(SL,"Par_conc_corpnames",True)[VFFSL(SL,"ii",True)+1]) # u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])' on line 60, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])')) # from line 60, col 1.
                    _filter = self._CHEETAH__currentFilter = _orig_filter_88770794
                    write(u'''    </parallel_lines>
''')
                else: # generated from line 64, col 3
                    write(u'''  <line>
''')
                    if VFFSL(SL,"numbering",True): # generated from line 66, col 3
                        num = VFFSL(SL,"i",True) + 1
                        write(u'''    <num>''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 68, col 10
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 68, col 10.
                        write(u'''</num>
''')
                    write(u'''    <ref>''')
                    _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 70, col 10
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 70, col 10.
                    write(u'''</ref>''')
                    write(u'''<left_context>''')
                    for ll in VFFSL(SL,"l.Left",True): # generated from line 72, col 5
                        if not (VFFSL(SL,"ll.class",True) == 'strc'):
                            _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 74, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 74, col 1.
                            write(u''' ''')
                    write(u'''</left_context><kwic>''')
                    for kw in VFFSL(SL,"l.Kwic",True): # generated from line 78, col 5
                        _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 79, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 79, col 1.
                        write(u''' ''')
                    write(u'''</kwic><right_context>''')
                    for rr in VFFSL(SL,"l.Right",True): # generated from line 82, col 5
                        if not (VFFSL(SL,"rr.class",True) == 'strc'):
                            _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 84, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 84, col 1.
                            write(u''' ''')
                    write(u'''</right_context>
  </line>
''')
            write(u'''  </lines>
</concordance>
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_43986671
        else: # generated from line 94, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 152, col 1
                write(u'''# ''')
                if False:
                    _('Corpus')
                _v = VFFSL(SL,"_",False)('Corpus') # u"$_('Corpus')" on line 153, col 4
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Corpus')")) # from line 153, col 4.
                write(u''': ''')
                _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 153, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 153, col 18.
                write(u'''
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 154, col 3
                    write(u'''# ''')
                    if False:
                        _('Subcorpus')
                    _v = VFFSL(SL,"_",False)('Subcorpus') # u"$_('Subcorpus')" on line 155, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Subcorpus')")) # from line 155, col 4.
                    write(u''': ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 155, col 21
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 155, col 21.
                    write(u'''
''')
                write(u'''# Hits: ''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 157, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 157, col 10.
                write(u'''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 158, col 3
                    write(u'''#      ''')
                    _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 159, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 159, col 9.
                    write(u'''    ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 159, col 18
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 159, col 18.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 159, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 159, col 25.
                    write(u'''
''')
            #  kwic lines
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 163, col 1
                if VFFSL(SL,"numbering",True): # generated from line 164, col 3
                    num = VFFSL(SL,"i",True)+1
                    _v = VFFSL(SL,"num",True) # u'$num' on line 166, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 166, col 1.
                    write(u'''\t''')
                _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 168, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 168, col 1.
                write(u'''\r
''')
                _v = VFFSL(SL,"printLayers",False)(VFFSL(SL,"l.Left",True) + VFFSL(SL,"l.Kwic",True) + VFFSL(SL,"l.Right",True)) # u'$printLayers($l.Left + $l.Kwic + $l.Right)' on line 169, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$printLayers($l.Left + $l.Kwic + $l.Right)')) # from line 169, col 1.
                write(u'''\r
\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_saveconc= 'respond'

## END CLASS DEFINITION

if not hasattr(saveconc, '_initCheetahAttributes'):
    templateAPIClass = getattr(saveconc, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(saveconc)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=saveconc()).run()


