#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 1)
__CHEETAH_genTime__ = 1449396216.335706
__CHEETAH_genTimestamp__ = 'Sun Dec  6 10:03:36 2015'
__CHEETAH_src__ = 'templates/savewl.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Dec  5 20:50:06 2015'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savewl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savewl, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2013  Pavel Rychly, Vojtech Kovar, Milos Husak, Vit Baisa
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 3, col 1
            _orig_filter_69975417 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            #  XML format
            write(u"""<?xml version='1.0' encoding='""")
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 6, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 6, col 31.
            write(u"""'?>

<word_list>
""")
            if VFFSL(SL,"heading",True): # generated from line 9, col 1
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 11, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 11, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 12, col 3
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 13, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 13, col 16.
                    write(u'''</subcorpus>
''')
                if VFFSL(SL,"Keywords",True): # generated from line 15, col 3
                    write(u'''    <ref_corpus>''')
                    _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 16, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 16, col 17.
                    write(u'''</ref_corpus>
''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 17, col 5
                        write(u'''    <ref_subcorpus>''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 18, col 20
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 18, col 20.
                        write(u'''</ref_subcorpus>
''')
                write(u'''  </heading>
''')
            if VFFSL(SL,"Items",True): # generated from line 23, col 1
                write(u'''  <items attr="''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 24, col 16
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 24, col 16.
                write(u'''">
''')
                for i in VFFSL(SL,"Items",True): # generated from line 25, col 3
                    write(u'''    <item>
      <str>''')
                    _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 27, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 27, col 12.
                    write(u'''</str>
      <freq>''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 28, col 13
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 28, col 13.
                    write(u'''</freq>
    </item>
''')
                write(u'''  </items>
''')
            else: # generated from line 32, col 1
                if VFFSL(SL,"Keywords",True): # generated from line 33, col 1
                    write(u'''  <items attr="''')
                    _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 34, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 34, col 16.
                    write(u'''">
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 35, col 3
                        write(u'''    <item>
      <str>''')
                        _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 37, col 12
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 37, col 12.
                        write(u'''</str>
      <freq>''')
                        _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 38, col 13
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 38, col 13.
                        write(u'''</freq>
      <rel>''')
                        _v = VFFSL(SL,"k.rel",True) # u'$k.rel' on line 39, col 12
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.rel')) # from line 39, col 12.
                        write(u'''</rel>
      <freq_ref>''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # u"$k.get('freq_ref', '0')" on line 40, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('freq_ref', '0')")) # from line 40, col 17.
                        write(u'''</freq_ref>
      <rel_ref>''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('rel_ref', '0') # u"$k.get('rel_ref', '0')" on line 41, col 16
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('rel_ref', '0')")) # from line 41, col 16.
                        write(u'''</rel_ref>
      <score>''')
                        _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 42, col 14
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 42, col 14.
                        write(u'''</score>
    </item>
''')
                    write(u'''</items>
''')
            write(u'''</word_list>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_69975417
        else: # generated from line 51, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 53, col 1
                write(u'''# Word list\r
\r
# Corpus:    ''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 56, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 56, col 15.
                write(u'''\r
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 57, col 3
                    write(u'''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 58, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 58, col 15.
                    write(u'''\r
''')
                if VFFSL(SL,"Keywords",True): # generated from line 60, col 3
                    write(u'''# Reference corpus:    ''')
                    _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 61, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 61, col 25.
                    write(u'''\r
''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 62, col 5
                        write(u'''# Reference subcorpus: ''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 63, col 25
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 63, col 25.
                        write(u'''\r
''')
                write(u'''\r
''')
            write(u'''\r
''')
            if VFFSL(SL,"Items",True): # generated from line 69, col 1
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 70, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 70, col 1.
                write(u'''\tFreq\r
------------------------------\r
''')
                for i in VFFSL(SL,"Items",True): # generated from line 72, col 3
                    _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 73, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 73, col 1.
                    write(u'''\t''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 73, col 8
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 73, col 8.
                    write(u'''\r
''')
            else: # generated from line 75, col 1
                write(u'''\r
''')
                if VFFSL(SL,"Keywords",True): # generated from line 77, col 3
                    _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 78, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 78, col 1.
                    write(u'''\tFreq\tFreq/mill\tFreq_ref\tFreq_ref/mill\tScore\r
----------------------------------------------------------------------------------\r
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 80, col 5
                        _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 81, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 81, col 1.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 81, col 8
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 81, col 8.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.rel",True) # u'$k.rel' on line 81, col 16
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.rel')) # from line 81, col 16.
                        write(u'''\t''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # u"$k.get('freq_ref', '0')" on line 81, col 23
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('freq_ref', '0')")) # from line 81, col 23.
                        write(u'''\t''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('rel_ref', '0') # u"$k.get('rel_ref', '0')" on line 81, col 47
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('rel_ref', '0')")) # from line 81, col 47.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 81, col 70
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 81, col 70.
                        write(u'''\r
''')
            write(u'''\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savewl= 'respond'

## END CLASS DEFINITION

if not hasattr(savewl, '_initCheetahAttributes'):
    templateAPIClass = getattr(savewl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savewl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savewl()).run()


